<?php
/* --------------------------------------------------------------
   mobile_configuration.php 2015-06-03
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2015 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------*/

require('includes/application_top.php');

$t_mobile_logo        = '';
$t_mobile_logo_sql    = 'SELECT * FROM gm_configuration WHERE gm_key = "mobile_logo"';
$t_mobile_logo_result = xtc_db_query($t_mobile_logo_sql);

if(xtc_db_num_rows($t_mobile_logo_result) == 1)
{
	$t_mobile_logo_row = xtc_db_fetch_array($t_mobile_logo_result);
	if(file_exists(DIR_FS_CATALOG . 'images/logos/' . $t_mobile_logo_row['gm_value']))
	{
		$t_mobile_logo = $t_mobile_logo_row['gm_value'];
	}
}

if($_POST['save'])
{
	$t_template_active = xtc_db_input(trim($_POST['template_active']));
	$t_template_name   = xtc_db_input(trim($_POST['template_name']));
	$t_slider_active   = (int)$_POST['slider_active'];

	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . $t_template_active
	             . '" WHERE gm_key = "mobile_template_active"');

	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . $t_template_name . '" WHERE gm_key = "mobile_template"');

	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . $t_slider_active . '" WHERE gm_key = "mobile_slider"');

	$t_contents_active = array();
	if(isset($_POST['contents_active']))
	{
		$t_contents_active = $_POST['contents_active'];
	}
	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . xtc_db_input(implode(",", $t_contents_active))
	             . '" WHERE gm_key = "mobile_contents"');

	$t_languages_active = array();
	if(isset($_POST['languages_active']))
	{
		$t_languages_active = $_POST['languages_active'];
	}
	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . xtc_db_input(implode(",", $t_languages_active))
	             . '" WHERE gm_key = "mobile_languages"');

	$t_currencies_active = array();
	if(isset($_POST['currencies_active']))
	{
		$t_currencies_active = $_POST['currencies_active'];
	}
	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . xtc_db_input(implode(",", $t_currencies_active))
	             . '" WHERE gm_key = "mobile_currencies"');

	$t_payment_modules_active = array();
	if(isset($_POST['payment_modules_active']))
	{
		$t_payment_modules_active = $_POST['payment_modules_active'];
	}
	xtc_db_query('UPDATE gm_configuration SET gm_value = "' . xtc_db_input(implode("|", $t_payment_modules_active))
	             . '" WHERE gm_key = "mobile_payment_modules"');

	if((isset($_POST['delete_logo']) && $_POST['delete_logo'] == 'delete_logo' && $t_mobile_logo != '')
	   || trim($_FILES["logo_new"]['name']) != ''
	)
	{
		if(file_exists(DIR_FS_CATALOG . 'images/logos/' . $t_mobile_logo))
		{
			@unlink(DIR_FS_CATALOG . 'images/logos/' . $t_mobile_logo);
		}
	}

	if(isset($_FILES["logo_new"]))
	{
		$t_allowed_extensions = array("gif", "jpeg", "jpg", "png");
		$t_split_filename     = explode(".", $_FILES["logo_new"]["name"]);
		$t_file_extension     = end($t_split_filename);
		if((($_FILES["logo_new"]["type"] == "image/gif")
		    || ($_FILES["logo_new"]["type"] == "image/jpeg")
		    || ($_FILES["logo_new"]["type"] == "image/jpg")
		    || ($_FILES["logo_new"]["type"] == "image/pjpeg")
		    || ($_FILES["logo_new"]["type"] == "image/x-png")
		    || ($_FILES["logo_new"]["type"] == "image/png"))
		   && in_array($t_file_extension, $t_allowed_extensions)
		)
		{
			if($_FILES["logo_new"]["error"] == 0)
			{
				move_uploaded_file($_FILES["logo_new"]["tmp_name"], "../images/logos/" . $_FILES["logo_new"]["name"]);
				xtc_db_query('UPDATE gm_configuration SET gm_value = "' . $_FILES["logo_new"]["name"]
				             . '" WHERE gm_key = "mobile_logo"');
				$t_mobile_logo = $_FILES["logo_new"]["name"];
			}
		}
	}

	foreach($_POST AS $t_data_key => $t_data_value)
	{
		if(strpos($t_data_key, 'mobile_css') !== false)
		{
			xtc_db_query('UPDATE gm_configuration SET gm_value = "' . xtc_db_input(trim($t_data_value))
			             . '" WHERE gm_key = "' . xtc_db_input(trim($t_data_key)) . '"');
		}
	}

	if(isset($_POST['reset_mobile_colors']) && $_POST['reset_mobile_colors'] == 'reset_mobile_colors')
	{
		foreach($_POST AS $t_data_key => $t_data_value)
		{
			if(strpos($t_data_key, 'mobile_css') !== false)
			{
				xtc_db_query('UPDATE gm_configuration as t1, (SELECT gm_value from gm_configuration WHERE gm_key ="'
				             . str_replace("css", "default_css", xtc_db_input(trim($t_data_key)))
				             . '") as t2 SET t1.gm_value = t2.gm_value WHERE t1.gm_key = "'
				             . xtc_db_input(trim($t_data_key)) . '"');
			}
		}
	}
}

// GET AVAILABLE TEMPLATES
$t_template_array = array();
$t_template_glob  = glob(DIR_FS_CATALOG . "templates/*");
if(is_array($t_template_glob) && count($t_template_glob) > 0)
{
	foreach($t_template_glob AS $t_template)
	{
		if(is_dir($t_template) 
		   && basename($t_template) != 'EyeCandy' 
		   && basename($t_template) != 'gambio'
		   && basename($t_template) != 'Honeygrid'
		   && basename($t_template) != 'Flexicandy'
		)
		{
			$t_template_array[] = basename($t_template);
		}
	}
}

// GET MOBILE TEMPLATE STATUS
$t_template_active        = 'false';
$t_template_active_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_template_active"';
$t_template_active_result = xtc_db_query($t_template_active_sql);
if(xtc_db_num_rows($t_template_active_result) == 1)
{
	$t_template_active_row = xtc_db_fetch_array($t_template_active_result);
	if($t_template_active_row['gm_value'] == 'true')
	{
		$t_template_active = $t_template_active_row['gm_value'];
	}
}

// GET MOBILE TEMPLATE VERSION
$t_template_version        = '';
$t_template_version_sql    = 'SELECT `version` FROM `version_history` WHERE `name` LIKE "MobileCandy%" ORDER BY `installation_date` DESC';
$t_template_version_result = xtc_db_query($t_template_version_sql);
if(xtc_db_num_rows($t_template_version_result))
{
	$t_template_version_row = xtc_db_fetch_array($t_template_version_result);
	if(!is_null($t_template_version_row['version']))
	{
		$t_template_version = $t_template_version_row['version'];
	}
}

// GET ACTIVE MOBILE TEMPLATE
$t_template_name        = '';
$t_template_name_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_template"';
$t_template_name_result = xtc_db_query($t_template_name_sql);
if(xtc_db_num_rows($t_template_name_result) == 1)
{
	$t_template_name_row = xtc_db_fetch_array($t_template_name_result);
	if($t_template_name_row['gm_value'] != ''
	   && file_exists(DIR_FS_CATALOG . 'templates/' . $t_template_name_row['gm_value'])
	)
	{
		$t_template_name = $t_template_name_row['gm_value'];
	}
}

$t_payment_modules_installed = array();
if(MODULE_PAYMENT_INSTALLED != '')
{
	$t_payments = explode(';', MODULE_PAYMENT_INSTALLED);

	$coo_text_manager = MainFactory::create_object('LanguageTextManager', array(), true);

	foreach($t_payments AS $t_payment)
	{
		$t_payment_id              = explode('.', $t_payment);
		$t_payment_id              = $t_payment_id[0];
		$t_payment_installed       = array();
		$t_payment_installed['id'] = $t_payment_id;
		$coo_text_manager->init_from_lang_file('lang/' . $_SESSION['language'] . '/modules/payment/' . $t_payment);
		$t_payment_installed['title']  = strip_tags(trim(constant('MODULE_PAYMENT_' . strtoupper($t_payment_id)
		                                                          . '_TEXT_TITLE'))) . " (" . $t_payment_id . ")";
		$t_payment_modules_installed[] = $t_payment_installed;
	}
}

// GET ACTIVE PAYMENT MODULES

$t_active_payment_modules        = array();
$t_active_payment_modules_result = xtc_db_query('SELECT * FROM gm_configuration WHERE gm_key="mobile_payment_modules"');
if(xtc_db_num_rows($t_active_payment_modules_result) == 1)
{
	$t_module_row             = xtc_db_fetch_array($t_active_payment_modules_result);
	$t_active_payment_modules = explode('|', $t_module_row['gm_value']);
}

// LIST OF UNALLOWED CONTENTS
$t_contents_exclude_array = array('198', '199', '30', '1010', '1199', '14', '6', '98');

// GET AVAILABLE MOBILE CONTENTS
$t_contents_array  = array();
$t_contents_sql    = 'SELECT content_group, content_title FROM content_manager WHERE languages_id="'
                     . $_SESSION['languages_id'] . '" AND content_group NOT IN ("' . implode('","',
                                                                                             $t_contents_exclude_array)
                     . '") AND file_flag != 5 ORDER BY sort_order';
$t_contents_result = xtc_db_query($t_contents_sql);
if(xtc_db_num_rows($t_contents_result) > 0)
{
	while($t_contents_row = xtc_db_fetch_array($t_contents_result))
	{
		$t_contents_array[] = $t_contents_row;
	}
}

// GET ACTIVE MOBILE CONTENTS
$t_contents_active_array  = array();
$t_contents_active_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_contents"';
$t_contents_active_result = xtc_db_query($t_contents_active_sql);
if(xtc_db_num_rows($t_contents_active_result) == 1)
{
	$t_contents_active_row = xtc_db_fetch_array($t_contents_active_result);
	if(strpos($t_contents_active_row['gm_value'], ",") !== false)
	{
		$t_contents_active_array = explode(",", $t_contents_active_row['gm_value']);
	}
	else
	{
		if(trim($t_contents_active_row['gm_value']) != '')
		{
			$t_contents_active_array[] = $t_contents_active_row['gm_value'];
		}
	}
}

// GET AVAILABLE LANGUAGES
$t_languages_array  = array();
$t_languages_sql    = 'SELECT * FROM languages';
$t_languages_result = xtc_db_query($t_languages_sql);
while($t_language_row = xtc_db_fetch_array($t_languages_result))
{
	$t_languages_array[] = $t_language_row;
}

// GET ACTIVE LANGUAGES
$t_languages_active_array  = array();
$t_languages_active_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_languages"';
$t_languages_active_result = xtc_db_query($t_languages_active_sql);
if(xtc_db_num_rows($t_languages_active_result) == 1)
{
	$t_languages_active_row = xtc_db_fetch_array($t_languages_active_result);
	if(strpos($t_languages_active_row['gm_value'], ",") !== false)
	{
		$t_languages_active_array = explode(",", $t_languages_active_row['gm_value']);
	}
	else
	{
		if(trim($t_languages_active_row['gm_value']) != '')
		{
			$t_languages_active_array[] = $t_languages_active_row['gm_value'];
		}
	}
}

// GET AVAILABLE CURRENCIES
$t_currencies_array  = array();
$t_currencies_sql    = 'SELECT * FROM currencies';
$t_currencies_result = xtc_db_query($t_currencies_sql);
while($t_currencies_row = xtc_db_fetch_array($t_currencies_result))
{
	$t_currencies_array[] = $t_currencies_row;
}

// GET ACTIVE CURRENCIES
$t_currencies_active_array  = array();
$t_currencies_active_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_currencies"';
$t_currencies_active_result = xtc_db_query($t_currencies_active_sql);
if(xtc_db_num_rows($t_currencies_active_result) == 1)
{
	$t_currencies_active_row = xtc_db_fetch_array($t_currencies_active_result);
	if(strpos($t_currencies_active_row['gm_value'], ",") !== false)
	{
		$t_currencies_active_array = explode(",", $t_currencies_active_row['gm_value']);
	}
	else
	{
		if(trim($t_currencies_active_row['gm_value']) != '')
		{
			$t_currencies_active_array[] = $t_currencies_active_row['gm_value'];
		}
	}
}

// GET AVAILABLE SLIDER SETS
$t_slider_sets_array  = array();
$t_slider_sets_sql    = 'SELECT * FROM slider_set';
$t_slider_sets_result = xtc_db_query($t_slider_sets_sql);
while($t_slider_sets_row = xtc_db_fetch_array($t_slider_sets_result))
{
	$t_slider_sets_array[] = $t_slider_sets_row;
}

// GET ACTIVE SLIDER SET
$t_slider_active        = '';
$t_slider_active_sql    = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_slider"';
$t_slider_active_result = xtc_db_query($t_slider_active_sql);
if(xtc_db_num_rows($t_slider_active_result) == 1)
{
	$t_slider_active_row = xtc_db_fetch_array($t_slider_active_result);
	$t_slider_active     = (int)$t_slider_active_row['gm_value'];
}

// GET MOBILE COLORS
$t_mobile_colors = array();
$t_css_sql       = 'SELECT * FROM gm_configuration WHERE gm_key LIKE "mobile_css%" ORDER BY gm_configuration_id';
$t_css_result    = xtc_db_query($t_css_sql);
while($t_css_row = xtc_db_fetch_array($t_css_result))
{
	$t_mobile_colors[$t_css_row['gm_key']] = $t_css_row['gm_value'];
}
?>
	<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
	<html <?php echo HTML_PARAMS; ?>>
		<head>
			<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $_SESSION['language_charset']; ?>">
			<title><?php echo TITLE; ?></title>
			<link rel="stylesheet" type="text/css" href="html/assets/styles/legacy/stylesheet.css">
		</head>
		<body marginwidth="0"
		      marginheight="0"
		      topmargin="0"
		      bottommargin="0"
		      leftmargin="0"
		      rightmargin="0"
		      bgcolor="#FFFFFF">
			<!-- header //-->
			<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
			<!-- header_eof //-->

			<!-- body //-->
			<table border="0" width="100%" cellspacing="2" cellpadding="2">
				<tr>
					<td class="columnLeft2" width="<?php echo BOX_WIDTH; ?>" valign="top">
						<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
					</td>
					<td class="boxCenter" width="100%" valign="top">
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td width="100%">
									<div class="pageHeading"
									     style="background-image:url(html/assets/images/legacy/gm_icons/meinshop.png)"><?php echo HEADING_TITLE; ?></div>
									<br />
								</td>
							</tr>
							<tr>
								<td>
									<table class="mobile-configuration gx-container breakpoint-large" border="0" width="100%" cellspacing="0" cellpadding="0">
										<tr>
											<td valign="top">
												<form method="post"
												      action="mobile_configuration.php?action=save"
												      name="configuration"
												      enctype="multipart/form-data">
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#d6e6f3">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_TEMPLATE_VERSION_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm">
																			<span><?php echo 'v'
																			                 . $t_template_version; ?></span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#f7f7f7" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_TEMPLATE_ACTIVE_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm">
																			<select name="template_active">
																				<option value="false"><?php echo MOBILE_TEMPLATE_DEACTIVATED; ?></option>
																				<?php
																				$t_active = '';
																				if($t_template_active == "true")
																				{
																					$t_active = ' selected="selected"';
																				}
																				echo '<option value="true"' . $t_active
																				     . '>' . MOBILE_TEMPLATE_ACTIVATED
																				     . '</option>';
																				?>
																			</select>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_TEMPLATE_ACTIVE_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
																<br>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#d6e6f3" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_TEMPLATE_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm">
																			<select name="template_name">
																				<option value=""><?php echo MOBILE_TEMPLATE_PLEASE_CHOOSE; ?></option>
																				<?php
																				foreach($t_template_array AS $t_template)
																				{
																					$t_active = '';
																					if($t_template == $t_template_name)
																					{
																						$t_active = ' selected="selected"';
																					}
																					echo '<option value="' . $t_template
																					     . '"' . $t_active . '>'
																					     . $t_template . '</option>';
																				}
																				?>
																			</select>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_TEMPLATE_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#f7f7f7" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_LANGUAGES_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm"
																		    data-gx-widget="checkbox">
																			<div class="languages-container">
																			<?php
																			foreach($t_languages_array AS $t_language)
																			{
																				$t_active = '';
																				if(in_array($t_language['languages_id'],
																				            $t_languages_active_array))
																				{
																					$t_active = ' checked="checked"';
																				}
																				echo '<div class="control-wrapper">
																						<label for="lang_' . $t_language['languages_id'] . '">'. $t_language['name'] .'</label>
																						<input id="lang_' . $t_language['languages_id'] . '" type="checkbox" name="languages_active[]" value="'
																				     . $t_language['languages_id'] . '"'
																				     . $t_active . '/>'
																				     .  '</div>';
																			}
																			?>
																			</div>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_LANGUAGES_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#d6e6f3" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_CURRENCIES_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm"
																		    data-gx-widget="checkbox">
																			<div class="currencies-container">
																			<?php
																			foreach($t_currencies_array AS $t_currency)
																			{
																				$t_active = '';
																				if(in_array($t_currency['code'],
																				            $t_currencies_active_array))
																				{
																					$t_active = ' checked="checked"';
																				}
																				echo '<div class="control-wrapper">
																						<label for="currency_' . $t_currency['code'] . '">' . $t_currency['title']. '</label>
																						<input id="currency_' . $t_currency['code'] . '" type="checkbox" name="currencies_active[]" value="'
																				     . $t_currency['code'] . '"'
																				     . $t_active . '/>'
																				     . '</div>';
																			}
																			?>
																			</div>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_CURRENCIES_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#f7f7f7" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_PAYMENT_MODULES_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm"
																		    data-gx-widget="checkbox">
																			<div class="payment-modules-container">
																			<?php
																			foreach($t_payment_modules_installed AS $t_payment_module)
																			{
																				$t_active = '';
																				if(in_array($t_payment_module['id'],
																				            $t_active_payment_modules))
																				{
																					$t_active = ' checked="checked"';
																				}
																				echo '<div class="control-wrapper">
																						<label for="payment_module_'.$t_payment_module['id'].'"> '. $t_payment_module['title'] . '</label>
																						<input id="payment_module_'.$t_payment_module['id'].'" type="checkbox" name="payment_modules_active[]" value="'
																				     . $t_payment_module['id'] . '"'
																				     . $t_active . '/>'
																				     . '</div>';
																			}
																			?>
																			</div>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_PAYMENT_MODULES_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#d6e6f3" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_CONTENTS_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm"
																		    data-gx-widget="checkbox">
																			<div class="mobile-contents-container">
																			<?php
																			foreach($t_contents_array AS $t_content)
																			{
																				$t_active = '';
																				if(in_array($t_content['content_group'],
																				            $t_contents_active_array))
																				{
																					$t_active = ' checked="checked"';
																				}
																				echo '<div class="control-wrapper">
																						<label for="content_group_'.$t_content['content_group'].'">'. $t_content['content_title'].'</label>
																						<input id="content_group_'.$t_content['content_group'].'" type="checkbox" name="contents_active[]" value="'
																				     . $t_content['content_group'] . '"'
																				     . $t_active . '/>'
																				     . '</div>';
																			}
																			?>
																			</div>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_CONTENTS_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#f7f7f7" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_LOGO_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm" data-gx-widget="checkbox">
																			<div class="mobile-logo-container">
																			<?php
																			if(file_exists(DIR_FS_CATALOG
																			               . 'images/logos/'
																			               . $t_mobile_logo)
																			   && trim($t_mobile_logo) != ''
																			)
																			{
																				echo '<div class="control-wrapper">
																					    <div class="actual-image-container">
																					        <div class="actual-image-headline">' . MOBILE_LOGO_ACTUAL_LOGO . ' :</div>
																					        <img src="../images/logos/'. $t_mobile_logo . '" border="0" alt="" />
																					        <span class="delete-container">
																					            <input id="delete_logo" type="checkbox" name="delete_logo" value="delete_logo" data-single_checkbox />
																					            <label for="delete_logo">'. MOBILE_LOGO_DELETE_LOGO.'</label>
																					        </span>
																					    </div>
																				      </div>';
																			}
																			echo '<div class="control-wrapper">
																				    <div class="new-image-container">
																				        <div class="upload-headline">' . MOBILE_LOGO_UPLOAD_NEW_LOGO . ' :</div>
																				        <input type="file" name="logo_new" />
																				        <span class="upload-warning">' . MOBILE_LOGO_UPLOAD_NEW_LOGO_WARNING . '</span>
																					</div>
																				  </div>';
																			?>
																			</div>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_LOGO_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#d6e6f3" data-gx-extension="visibility_switcher"
														    data-visibility_switcher-selector=".tooltip_icon">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo MOBILE_SLIDER_LABEL; ?></b></td>
															<td class="dataTableContent_gm">
																<table width="100%"
																       cellspacing="0"
																       cellpadding="2"
																       border="0">
																	<tr>
																		<td class="dataTableContent_gm">
																			<select name="slider_active">
																				<option value="0"><?php echo MOBILE_SLIDER_OPTION_NO_SLIDER; ?></option>
																				<?php
																				foreach($t_slider_sets_array AS $t_slider)
																				{
																					$t_active = '';
																					if($t_slider['slider_set_id']
																					   == $t_slider_active
																					)
																					{
																						$t_active = ' selected="selected"';
																					}
																					echo '<option value="'
																					     . $t_slider['slider_set_id']
																					     . '"' . $t_active . '>'
																					     . $t_slider['set_name']
																					     . '</option>';
																				}
																				?>
																			</select>
																			<span data-gx-widget="tooltip_icon" data-tooltip_icon-type="info">
																				<?php echo MOBILE_SLIDER_DESC; ?>
																			</span>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
													</table>
													<table width="100%" cellspacing="0" cellpadding="4" border="0">
														<tr valign="top" bgcolor="#f7f7f7">
															<td width="300" class="dataTableContent_gm">
																<b><?php echo COLORS; ?></b></td>
															<td class="dataTableContent_gm" data-gx-widget="checkbox">
																<div id="colorpicker_container"
																     style="border: 1px solid #333; background: #fff; position: absolute; display: none; padding-top: 20px;">
																	<img src="html/assets/images/legacy/buttons/button_cancel_red_cross.png"
																	     style="cursor: pointer; border: 0; position: absolute; top: 0; right: 0;" />

																	<div id="colorpicker"></div>
																</div>
																<?php
																foreach($t_mobile_colors AS $t_mobile_color_key => $t_mobile_color_value)
																{
																	echo '<div class="color-container">
																			<div class="color-key">'. constant($t_mobile_color_key) .' :</div>';
																	?>
																		<input type="text"
																		       class="mobile_color_input"
																		       id="<?php echo $t_mobile_color_key; ?>"
																		       name="<?php echo $t_mobile_color_key; ?>"
																		       value="<?php echo $t_mobile_color_value; ?>" />
																		<br /><br />
																	</div>
																	<?php
																}
																?>
																<div class="reset-mobile-colors">
																	<label for="reset_mobile_colors"><?php echo RESTORE_DEFAULT_COLORS; ?> :</label>
																	<input data-single_checkbox
																	       type="checkbox"
																	       id="reset_mobile_colors"
																	       name="reset_mobile_colors"
																	       value="reset_mobile_colors"
																	       style="margin-top: 0;" />
																</div>

																<div style="clear: both;"> <!-- --> </div>
																<script type="text/javascript" charset="utf-8">
																	$(document).ready(function () {
																		$(".mobile_color_input").click(function () {
																			var t_position_top = $(this).offset().top;
																			var t_position_left = $(this).offset().left;
																			$("#colorpicker").replaceWith($("<div></div>").attr("id", "colorpicker"));
																			$("#colorpicker_container").show();
																			$("#colorpicker_container").css("top", t_position_top - 100);
																			$("#colorpicker_container").css("left", t_position_left + 250);
																			$("#colorpicker").farbtastic("#" + $(this).attr("id"));
																		});

																		$(".mobile_color_input").each(function () {
																			$("#colorpicker").replaceWith($("<div></div>").attr("id", "colorpicker"));
																			$("#colorpicker").farbtastic("#" + $(this).attr("id"));
																		});
																		$("#colorpicker_container img").live("click", function () {
																			$(this).parent().hide();
																		});
																	});
																</script>
															</td>
														</tr>
													</table>
									<input type="submit"
									       name="save"
									       value="Speichern"
									       onclick="this.blur();"
									       class="button pull-right">									</form>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			</td>	<!-- body_text_eof //-->	</tr></table><!-- body_eof //-->

			<!-- footer //-->
			<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
			<!-- footer_eof //-->
			<br />
			<link rel="stylesheet" type="text/css" href="../gm/javascript/jquery/plugins/farbtastic/farbtastic.css">
			<script type="text/javascript" src="../gm/javascript/jquery/plugins/farbtastic/farbtastic.js"></script>
		</body>
	</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>