<?php
/* --------------------------------------------------------------
   MobileControl.inc.php 2014-07-15 tb@gambio
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2014 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class MobileControl
{
	private $coo_mobile_source;
	private $coo_mobile_detect;
	private $v_is_mobile_device = false;

	/**
	 * Constructor
	*/
	public function MobileControl()
	{
		// Create mobile source object
		require_once(DIR_FS_CATALOG . 'system/classes/mobile/MobileSource.inc.php');
		$this->coo_mobile_source = new MobileSource();
		
		// Create mobile detect object
		require_once(DIR_FS_CATALOG . 'system/classes/mobile/Mobile_Detect.php');
		$this->coo_mobile_detect = new Mobile_Detect();
	}
	
	/**
	* Get mobile template status from mobile source
	* @return string
	*/
	public function get_mobile_template_active()
	{
		return $this->coo_mobile_source->get_mobile_template_active();
	}
	
	/**
	* Get mobile template from mobile source
	* @return string
	*/
	public function get_mobile_template()
	{
		return $this->coo_mobile_source->get_mobile_template();
	}
	
	/**
	* Check if user agent is mobile device
	* @return boolean
	*/
	public function is_mobile_device()
	{
		if( $this->v_is_mobile_device == false )
		{
			$this->v_is_mobile_device = 'false';
			if( $this->coo_mobile_detect->isMobile() )
			{
				$this->v_is_mobile_device = 'true';
			}
		}
		return $this->v_is_mobile_device;
	}
}
