<?php
/* --------------------------------------------------------------
   MobileSource.inc.php 2013-09-12 tb@gambio
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2013 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/

class MobileSource
{
	private $v_mobile_template_active = false;
	private $v_mobile_template = false;	
	
	/**
	 * Constructor
	*/
	public function MobileSource()
	{	
	}
	
	/**
	* Get mobile template status from database
	* @return string
	*/
	public function get_mobile_template_active()
	{
		if( $this->v_mobile_template_active == false )
		{	
			$this->v_mobile_template_active = 'false';
			$t_sql = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_template_active"';
			$t_result = xtc_db_query( $t_sql );
			if(xtc_db_num_rows( $t_result ) == 1)
			{
				$t_row = xtc_db_fetch_array( $t_result );
				$t_active = trim( $t_row['gm_value'] );
				if( $t_active != '' )
				{
					$this->v_mobile_template_active = $t_active;
				}
				if( isset( $_SESSION['customers_status']['customers_status_id'] ) && $_SESSION['customers_status']['customers_status_id'] == 0 )
				{
					$this->v_mobile_template_active = 'true';
				}
			}
		}
		return $this->v_mobile_template_active;
	}
	
	/**
	* Get mobile template from database
	* @return string
	*/
	public function get_mobile_template()
	{
		if( $this->v_mobile_template == false )
		{	
			$this->v_mobile_template = 'false';
			$t_sql = 'SELECT * FROM gm_configuration WHERE gm_key="mobile_template"';
			$t_result = xtc_db_query( $t_sql );
			if(xtc_db_num_rows( $t_result ) == 1)
			{
				$t_row = xtc_db_fetch_array( $t_result );
				$t_template = trim( $t_row['gm_value'] );
				if( $t_template != '' && file_exists( DIR_FS_CATALOG . 'templates/' . $t_template ) )
				{
					$this->v_mobile_template = $t_template;
				}
			}
		}
		return $this->v_mobile_template;
	}
}
