<?php
/* --------------------------------------------------------------
   gm_dynamic.css.php 2017-03-10
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2017 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
*/
?><?php

if(defined('E_DEPRECATED'))
{
	error_reporting(
		E_ALL
		& ~E_NOTICE
		& ~E_DEPRECATED
		& ~E_STRICT
		& ~E_CORE_ERROR
		& ~E_CORE_WARNING
	);
}
else
{
	error_reporting(
		E_ALL
		& ~E_NOTICE
		& ~E_STRICT
		& ~E_CORE_ERROR
		& ~E_CORE_WARNING
	);
}

@date_default_timezone_set('Europe/Berlin');

define('PAGE_PARSE_START_TIME', microtime());

header('Content-Type: text/css; charset=utf-8');
require_once('../../vendor/natxet/CssMin/src/CssMin.php');

ob_start();
if (file_exists('../../includes/local/configure.php')) {
	include ('../../includes/local/configure.php');
} else {
	include ('../../includes/configure.php');
}

$t_current_template = basename(dirname(__FILE__));
if(isset($_GET['current_template']) && empty($_GET['current_template']) == false && is_dir(DIR_FS_CATALOG . 'templates/' . basename($_GET['current_template']) . '/usermod'))
{
	$t_current_template = basename($_GET['current_template']);
}

$t_usermod_files = array();

$t_path_pattern = DIR_FS_CATALOG . 'templates/' . $t_current_template . '/usermod/css/*.css';

$t_glob_data_array = glob($t_path_pattern);
if(is_array($t_glob_data_array))
{
	foreach($t_glob_data_array AS $t_result)
	{
		$t_entry = basename($t_result);

		$t_usermod_files[] = DIR_FS_CATALOG . 'templates/' . $t_current_template . '/usermod/css/' . $t_entry;
	}
}

$port   = isset(explode(':', DB_SERVER)[1]) && is_numeric(explode(':', DB_SERVER)[1]) ? (int)explode(':', DB_SERVER)[1] : null;
$socket = isset(explode(':', DB_SERVER)[1]) && !is_numeric(explode(':', DB_SERVER)[1]) ? explode(':', DB_SERVER)[1] : null;
$host   = explode(':', DB_SERVER)[0];

if(USE_PCONNECT == 'true')
{
	$link = ($GLOBALS["___mysqli_ston"] = mysqli_connect(
										'p:' . $host, 
										DB_SERVER_USERNAME, 
										DB_SERVER_PASSWORD,
										DB_DATABASE,
										$port,
										$socket
	));
}
else
{
	$link = ($GLOBALS["___mysqli_ston"] = mysqli_connect(
										$host, 
										DB_SERVER_USERNAME, 
										DB_SERVER_PASSWORD,
										DB_DATABASE,
										$port,
										$socket
	));
}

$t_mysql_version = @((is_null($___mysqli_res = mysqli_get_server_info($GLOBALS["___mysqli_ston"]))) ? false : $___mysqli_res);
if(!empty($t_mysql_version) && version_compare($t_mysql_version, '5', '>='))
{
	@mysqli_query( $link, "SET SESSION sql_mode=''");
}

@mysqli_query( $link, "SET SQL_BIG_SELECTS=1");

((bool)mysqli_query( $link, "USE " . constant('DB_DATABASE')));

if(version_compare(PHP_VERSION, '5.2.3', '>='))
{
	//mysql_set_charset('utf8', $link);
}
else
{
	mysqli_query( $link, "SET NAMES utf8");
}

$t_css_data_array = array();

$t_css_sql = 'SELECT * FROM gm_configuration WHERE gm_key LIKE "mobile_css%"';
$t_css_result = mysqli_query($link, $t_css_sql );

while( $t_css_row = mysqli_fetch_array( $t_css_result ) )
{
	$t_css_data_array[ $t_css_row[ 'gm_key' ] ] = $t_css_row[ 'gm_value' ];
}

mysqli_close($link);

if(file_exists(DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/jquery.mobile-1.4.5.css.php'))
{
	include(DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/jquery.mobile-1.4.5.css.php');

	// print comment to close unclosed comment in included file
	echo "\n/**/\n";
}

if(file_exists(DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/stylesheet.css.php'))
{
	include(DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/stylesheet.css.php');

	// print comment to close unclosed comment in included file
	echo "\n/**/\n";
}

$t_path_pattern = DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/css/*.css.php';

$t_glob_data_array = glob($t_path_pattern);
if(is_array($t_glob_data_array))
{
	foreach($t_glob_data_array AS $t_result)
	{
		$t_entry = basename($t_result);

		include( DIR_FS_CATALOG . 'templates/' . basename($t_current_template) . '/css/' . basename($t_result) );

		// print comment to close unclosed comment in included file
		echo "\n/**/\n";
	}
}

foreach($t_usermod_files AS $t_file)
{
	include($t_file);

	// print comment to close unclosed comment in included file
	echo "\n/**/\n";
}

$uncompressedCss = ob_get_clean();

$filters= array(
	"ImportImports"                 => false,
	"RemoveComments"                => true,
	"RemoveEmptyRulesets"           => true,
	"RemoveEmptyAtBlocks"           => true,
	"ConvertLevel3AtKeyframes"      => false,
	"ConvertLevel3Properties"       => false,
	"Variables"                     => true,
	"RemoveLastDelarationSemiColon" => true
);

$plugins = array(
	"Variables"                     => true,
	"ConvertFontWeight"             => true,
	"ConvertHslColors"              => true,
	"ConvertRgbColors"              => true,
	"ConvertNamedColors"            => true,
	"CompressColorValues"           => true,
	"CompressUnitValues"            => true,
	"CompressExpressionValues"      => true
);

$minifier = new CssMinifier($uncompressedCss, $filters, $plugins);
$compressedCss = $minifier->getMinified();

echo $compressedCss;

