/* CartShippingCosts.js <?php
#   --------------------------------------------------------------
#   CartShippingCosts.js 2013-06-13 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2013 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/
$( document ).ready( function()
{
	$( "#cart_shipping_costs_selection select" ).on( "change", get_shipping_costs);
	recreate_shipping_costs_content();
});
	
function get_shipping_costs(){
	var t_cart_shipping_country = $( "#cart_shipping_costs_selection select.cart_shipping_country" ).val();
	var t_cart_shipping_module = $( "#cart_shipping_costs_selection select.cart_shipping_module" ).val();

	$.ajax({
		type:		"POST",
		url:		"request_port.php?module=CartShippingCosts&action=get_shipping_costs",
		timeout:	20000,
		dataType:	"json",
		context:	this,
		data:		{
						"cart_shipping_country":	t_cart_shipping_country,
						"cart_shipping_module":		t_cart_shipping_module
					},
		success:	function( p_response )
					{
						$( "#cart_shipping_costs_selection" ).replaceWith( p_response.html );			
						$( ".cart_shipping_costs_value" ).html( p_response.cart_shipping_costs );	
						
						$( "#cart_shipping_costs_selection select" ).on( "change", get_shipping_costs);

						if( p_response.cart_ot_gambioultra_costs != undefined )
						{
							var t_ultra_costs_array = p_response.cart_ot_gambioultra_costs.split(":");
							var t_ultra_costs = $.trim(t_ultra_costs_array[1]);
							$( ".cart_ot_gambioultra_costs_value" ).html( t_ultra_costs );
							$( ".product_list_column_3.shipping_costs_gambio_ultra_block" ).closest( ".product_list_row" ).show();
						}
						else
						{
							$( ".cart_ot_gambioultra_costs_value" ).html("");
							$( ".product_list_column_3.shipping_costs_gambio_ultra_block" ).closest( ".product_list_row" ).hide();
						}

						recreate_shipping_costs_content();		
						$.each( $( ".cart_shipping_costs_select" ), function( key, value ){
							if( $( value ).find( "p" ).length > 0 )
							{
								$( value ).find( ".ui-select" ).hide();
							}
						});		
					},
		error:		function( p_jqXHR, p_exception )
					{
						if(fb) console.log( p_jqXHR );
						if(fb) console.log( p_exception );
					}
	});
}

function recreate_shipping_costs_content(){
	if( $( "select.cart_shipping_country option" ).length == 1 )
	{
		$( "select.cart_shipping_country" ).appendTo( $( "select.cart_shipping_country" ).closest(".cart_shipping_costs_select") );
		$( "select.cart_shipping_country" ).parent().find("div").remove();
	}
	if( $( "select.cart_shipping_module option" ).length == 1 )
	{
		$( "select.cart_shipping_module" ).appendTo( $( "select.cart_shipping_module" ).closest(".cart_shipping_costs_select") );
		$( "select.cart_shipping_module" ).parent().find("div").remove();
	}
	$( "#cart_shipping_costs_selection" ).trigger("create");
}