/* PropertiesSelectionPlugin.js <?php
#   --------------------------------------------------------------
#   PropertiesSelectionPlugin.js 2013-12-13 tb@gambio
#   Gambio GmbH
#   http://www.gambio.de
#   Copyright (c) 2013 Gambio GmbH
#   Released under the GNU General Public License (Version 2)
#   [http://www.gnu.org/licenses/gpl-2.0.html]
#   --------------------------------------------------------------
?>*/

(function($){
    $.fn.PropertiesSelectionPlugin = function()
	{ 
		var v_selected_values_group_string = '';
		var v_products_id = $( "input[name='properties_products_id']" ).val();
		var v_quantity = 0;

		$("body").delegate(".propertie_container select", "change", function()
		{ 			
			$("#properties_selection_shadow").show();
				
			get_quantity();
			get_selected_values();
			get_selection_template();
		});
		
		function get_quantity()
		{
			v_quantity = 1;
			if($( "#gm_attr_calc_qty" ).length == 1)
			{
				v_quantity = $( "#gm_attr_calc_qty" ).val();
			}
		}
		
		function get_selected_values()
		{
			var t_value_group_array = new Array();
			v_selected_values_group_string = '';
            
            $.each($("#properties_selection_container").find("select"), function(key1, value1)
			{                
				if($(value1).find('option:selected').val() != 0)
				{
					t_value_group_array.push($(value1).find('option[value!="0"]:selected').attr("class").replace("propertie_", "").replace("_", ":"));
				}
            });
			
			v_selected_values_group_string = t_value_group_array.join("&");
		}
		
        function get_selection_template()
		{	
			$.ajax({
				data: {
					properties_values: v_selected_values_group_string,
					quantity: v_quantity
				},
				url: 'request_port.php?module=PropertiesCombis&action=get_selection_template&products_id=' + v_products_id,
				type: 'POST',
				timeout: 20000,
				dataType: "json",
				error: function() 
				{
					if(fb) console.log( "get_available_values: error" );
				},
				success: function(p_response) 
				{
					if($("#gm_calc_weight").length == 1)
					{
						$("#gm_calc_weight").html(p_response.weight);
					}
					if($("span.products_model").length == 1)
					{
						$("span.products_model").html(p_response.model);
					}
					if($("span.shipping_time").length == 1)
					{
						$("span.shipping_time img").attr("src", "admin/images/icons/" + p_response.shipping_status_image);
						$("span.shipping_time .products_shipping_time_value").html(p_response.shipping_status_name);
					}
					if($("span.products_quantity").length == 1)
					{
						$("span.products_quantity .products_quantity_value").html(p_response.quantity);
					}
					if($("#gm_attr_calc_price").length == 1)
					{
						$("#gm_attr_calc_price").html(p_response.price);
					}
					
					if(p_response.status == "valid_quantity" || p_response.status == "stock_allowed")
					{
						$("#cart_button").removeClass('inactive');
					}
					else
					{
						$("#cart_button").addClass('inactive');
					}
					
					$( "#properties_selection_container" ).replaceWith( p_response.html );
					$( "#properties_selection_container" ).trigger("create");
				}
			});
		}
		
        return this;  
    };  
})(jQuery);

$(document).ready(function(){
    if($("#properties_selection_container").length == 1){
        $("#properties_selection_container").PropertiesSelectionPlugin();
    }  
});